--- EventListener
-- @author Created by anton on October 03, 2022.

class("EventListener")


-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function EventListener:call(...)
  self.listenerFunction(...)
end

function EventListener:remove()
  self.event:removeListener(self)
end

-- ----------------------------------------------------------------------------
-- Object Creation
-- ----------------------------------------------------------------------------

-- Constructor ------------------------

function EventListener.new(event, listenerFunction)
  local self = {}
  Mixin.mix(self, EventListener)

  self.event = event
  self.listenerFunction = listenerFunction

  return self
end
