--- SphinxSound

class("SphinxSound")

-- ----------------------------------------------------------------------------
-- Configuration
-- ----------------------------------------------------------------------------

local SOUND_EFFECTS_ENABLED = true

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

local function play(soundName)
  if (SOUND_EFFECTS_ENABLED) then
    Sound.playSoundEffect(soundName)
  end
end

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

function SphinxSound.playInteractionProgress()
  play("interaction_progress")
end

function SphinxSound.playAcceptInteraction()
  play("accept_interaction")
end

function SphinxSound.playRejectInteraction()
  play("reject_interaction")
end

function SphinxSound.playShowHint()
  play("show_hint")
end

function SphinxSound.playClick()
  play("click")
end

function SphinxSound.playRoundIntro()
  play("round_intro")
end

function SphinxSound.playRoundNumberFly()
  play("round_number_fly")
end


function SphinxSound.playGameVictory()
  play("game_victory")
end

-- ----------------------------------------------------------------------------
-- Unused
-- ----------------------------------------------------------------------------

-- function SphinxSound.playPointCount()
--   play("point_count")
-- end

-- function SphinxSound.playLevelUp()
--   play("level_up")
-- end

-- function SphinxSound.playRoundVictory()
--   play("round_victory")
-- end

-- function SphinxSound.playSlide()
--   play("slide")
-- end

-- function SphinxSound.playSlam()
--   play("slam")
-- end

-- function SphinxSound.playBonus()
--   play("bonus")
-- end

-- function SphinxSound.playBeginInteraction()
--   play("begin_interaction")
-- end
