--- Copyright © 2020 MindSnacks, Inc.

--- TextUtils

-- ===========================================================================
class("TextUtils")
-- ===========================================================================

-- ----------------------------------------------------------------------------
-- Utility
-- ----------------------------------------------------------------------------

-- ----------------------------------------------------------------------------
-- API
-- ----------------------------------------------------------------------------

--- Convert a Line Height to Line Spacing for use with a TextView.
 -- @param fontSize - the size of the font used in the TextView.
 -- @param lineHeight - the line height provided in your graphic design program of choice.
 -- @return a number to be used for line spacing in a TextView.
function TextUtils.getLineSpacing(fontSize, lineHeight)
  lineHeight = lineHeight or fontSize * 1.45
  return (lineHeight - fontSize)/2
end
